using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace diplom
{
    public partial class dataBase : Form
    {
        public adminForm adminForm;
        public fWorker fworker;
        public effect effect;



        public dataBase()
        {
            InitializeComponent();
            this.workerisTableAdapter.Fill(this.database1DataSet.workeris);
           
           
        }

        private void dataBase_Load(object sender, EventArgs e)
        {

            
            
        }

       

        private void dataBase_FormClosed(object sender, FormClosedEventArgs e)
        {
            adminForm.Show();
                      
            
        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }


        private void dataBase_Load_1(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "database1DataSet.workeris". При необходимости она может быть перемещена или удалена.
            this.workerisTableAdapter.Fill(this.database1DataSet.workeris);
         
            

        }

      

        private void dataBase_FormClosed_1(object sender, FormClosedEventArgs e)
        {

        }

        private void workerisBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.workerisBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.database1DataSet);

        }






        public string workeris { get; set; }

        private void workerisDataGridView_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void workerisBindingNavigator_RefreshItems(object sender, EventArgs e)
        {

        }

        private void toolStripButton7_Click(object sender, EventArgs e)
        {
           
        }

        private void workerisBindingSource_CurrentChanged(object sender, EventArgs e)
        {

        }

        
    }
}
